Sun Management Center Change Manager 1.0 Administration Guide

- Previous: Chapter 9 Maintaining the Change Manager Topology (Tasks)
- Next: Minimum Set of Parameters to Deploy Software

# Parameters Used by Shared Profiles and Host Properties

The parameters that you can set to configure managed hosts are as follows:

- Managed Host Parameters

- Archive Parameters

- Sysid Parameters

- Disk Layout Parameters

## Managed Host Parameters

The following parameters are used by managed hosts (host properties) only. These parameters specify information about a single managed host.

`base_config_templateName`

  Name of a shared profile associated with this managed host.

  This parameter can only be specified by host properties.

`base_config_target_ether_addr`

  Ethernet (MAC) address of this managed host.

  This parameter can only be specified by host properties.

`base_config_sysidcfg_hostname`

  A fully qualified name of the managed host.

`base_config_sysidcfg_ipaddr`

  IP address of the managed host. This read-only parameter's value is set in the naming service.

## Archive Parameters

The following parameters specify information about the particular Solaris Flash archive.

`base_config_flar_archive`

  Name of the archive to be used. The name is a path relative to the top of the Change Manager repository.

parameter_name=value

  Parameters that are defined by the archive itself. These parameters names are not prefixed with `base_config_`. These parameters are made available to the finish scripts that run on the managed host.

## Sysid Parameters

The following parameters specify `sysid` information for the managed host.

`base_config_target_arch`

  Platform architecture of the managed host. Run the `uname `-m`` command to obtain this information.

  This parameter can be set either in the host properties or in the shared profile.

`base_config_sysidcfg_rootpw`

  Encrypted superuser password for the managed host. You can obtain the encrypted password from the `/etc/shadow` file.

`base_config_sysidcfg_nameservice`

  One of the following values: NIS, NIS+, DNS, LDAP, or `NONE`.

  The default value is `NONE`.

  The required parameters depend on the value of `base_config_sysidcfg_nameservice` as follows:

  - NONE - No other parameters are required.

  - NIS or NIS+ - You must specify values for the `base_config_sysidcfg_nameserver` and `base_config_sysidcfg_domainname` parameters.

  - DNS - You must specify values for the `base_config_sysidcfg_nameserver`, `base_config_sysidcfg_domainname`, `base_config_sysidcfg_dnsservers`, and `base_config_sysidcfg_searchdomains` parameters.

  - LDAP - You must specify values for the `base_config_sysidcfg_domainname`, `base_config_sysidcfg_ldap_profile`, and `base_config_sysidcfg_ldap_server` parameters.

  `base_config_sysidcfg_nameserver`

    - If the value of `base_config_sysidcfg_nameservice` is NIS or NIS+, then the value of this parameter is the fully qualified name server name. If no value is set, then the naming service looks for a name server.

    - If the value of `base_config_sysidcfg_nameservice` is DNS, then this parameter's value is a comma-separated list of fully qualified DNS server names.

  `base_config_sysidcfg_domainname`

    A fully qualified DNS, LDAP, NIS+, or NIS domain name.

  `base_config_sysidcfg_dnsservers`

    If `base_config_sysidcfg_nameservice` is DNS, then the value of this parameter must list at least one DNS server. DNS server names are separated by commas.

  `base_config_sysidcfg_searchdomains`

    If `base_config_sysidcfg_nameservice` is DNS, then the value of this parameter must list DNS search domains. DNS search domains are separated by commas.

  `base_config_sysidcfg_ldap_profile`

    Name of the LDAP profile.

  `base_config_sysidcfg_ldap_server`

    IP address of the LDAP server that contains the LDAP profile.

`base_config_sysidcfg_networkinterface`

  The network interface to be used. Choose one of the following values: `PRIMARY` or value.

  The default value is `PRIMARY`.

  - `PRIMARY` - Use the first-up, non-loopback interface that is found on the system. The order is the same as with `ifconfig`. If no interfaces are up, then the first non-loopback interface is used. If no non-loopback interfaces are found, then the system is set to NON-NETWORKED.

  - value - Specifies the particular interface by name. For example, value can be `le0` or `hme0`.

`base_config_sysidcfg_netmask`

  The default value is `255.255.255.0`.

`base_config_sysidcfg_ipv6`

  The value is either `yes` or `no`. If `yes`, IPv6 is to be used.

  The default value is `no`.

`base_config_sysidcfg_defaultroute`

  You must set this parameter to the IP address, `none`, `auto`, or `findone`.

  - IP address - Specify the IP address of the default router.

  - `none` - Specify no default router. This keyword is supported starting with the Solaris 9 release.

  - `auto` or `findone` - Attempt to find a default router that broadcasts itself.

  The default value is `none`.

`base_config_sysidcfg_systemlocale`

  Specify the locale to use on the managed host. See the subdirectories in `/usr/lib/locale` for valid locale values.

  The default value is `C`.

`base_config_sysidcfg_terminal`

  Specify the terminal type to use on the managed host. See the subdirectories in `/usr/share/lib/terminfo` for valid terminal values.

  The default value is `vt100`.

`base_config_sysidcfg_timezone`

  Specify the time zone to use for the managed host. See the directories and files in `/usr/share/lib/zoneinfo` for valid time zone values. The time zone value is the name of the path relative to the `/usr/share/lib/zoneinfo` directory. For example, the time zone value for mountain standard time in the United States is `US/Mountain`. The time zone value for Japan is `Japan`. You can also specify any valid Olson time zone.

`base_config_sysidcfg_timeserver`

  Optionally set a time server, which defaults to `localhost`. If you specify `localhost` as the time server, the system's time is assumed to be correct. To specify a time server when you are not running a naming service, specify the fully qualified host name or IP address of the system.

  The default value is `localhost`.

`base_config_sysidcfg_security_policy`

  Determine which security policy to use. Set to `none`, the default, if there no security policy. Set to `kerberos` to use Kerberos security.

  If you use Kerberos security, you must specify values for the following parameters:

  - `base_config_sysidcfg_default_realm`

  - `base_config_sysidcfg_admin_server`

  - `base_config_sysidcfg_kdc`

  `base_config_sysidcfg_default_realm`

    If the value for `base_config_sysidcfg_security_policy` is `kerberos`, specify the Kerberos default realm. The default realm must be a fully qualified domain name.

  `base_config_sysidcfg_admin_server`

    If the value for `base_config_sysidcfg_security_policy` is `kerberos`, specify the Kerberos admin server. The admin server must be a fully qualified domain name.

  `base_config_sysidcfg_kdc`

    If the value for `base_config_sysidcfg_security_policy` is `kerberos`, specify a comma-separated list of fully qualified Kerberos key distribution center host names. The list must contain at least one key distribution center.

## Disk Layout Parameters

The following parameters specify how to lay out the disks of the managed host. The parameters that describe the device names and slice sizes must be specified in `filesys` keyword format for custom JumpStart. For information about the `filesys` custom JumpStart keyword, see "Custom JumpStart (Reference)" in Solaris 9 Installation Guide.

Note -

The value for size can only be num, in Mbytes, or slice:size, in cylinders, for Solaris Flash installations.

`base_config_be_0_root_device`

  The device name of the main boot environment's root slice.

`base_config_be_0_root_size`

  The size of the main boot environment's root slice.

`base_config_be_0_swap_device`

  The device name of the main boot environment's swap slice.

`base_config_be_0_swap_size`

  The size of the main boot environment's swap slice.

`base_config_be_0_usr_device`

  The device name of the main boot environment's `/usr` slice.

`base_config_be_0_usr_size`

  The size of the main boot environment's `/usr` slice.

`base_config_be_0_var_device`

  The device name of the main boot environment's `/var` slice.

`base_config_be_0_var_size`

  The size of the main boot environment's `/var` slice.

`base_config_be_0_opt_device`

  The device name of the main boot environment's `/opt` slice.

`base_config_be_0_opt_size`

  The size of the main boot environment's `/opt` slice.

`base_config_be_1_root_device`

  The device name of the alternate boot environment's root slice.

`base_config_be_1_root_size`

  The size of the alternate boot environment's root slice.

`base_config_be_1_swap_device`

  The device name of the alternate boot environment's swap slice.

`base_config_be_1_swap_size`

  The size of the alternate boot environment's swap slice.

`base_config_be_1_usr_device`

  The device name of the alternate boot environment's `/usr` slice.

`base_config_be_1_usr_size`

  The size of the alternate boot environment's `/usr` slice.

`base_config_be_1_var_device`

  The device name of the alternate boot environment's `/var` slice.

`base_config_be_1_var_size`

  The size of the alternate boot environment's `/var` slice.

`base_config_be_1_opt_device`

  The device name of the alternate boot environment's `/opt` slice.

`base_config_be_1_opt_size`

  The size of the alternate boot environment's `/opt` slice.

`base_config_local_swapx_device`

  The device name of the swap slice. This swap slice can be shared among boot environments.

`base_config_local_swapx_size`

  The size of the swap slice. This swap slice can be shared among boot environments.

`base_config_local_mntx_device`

  The physical device for the local mount x.

`base_config_local_mntx_mtpt`

  The mount location for the local mount x.

`base_config_local_mntx_options`

  The mount options for the local mount x.

`base_config_local_mntx_size`

  The size for the local mount x.

`base_config_remote_mntx_mtpt`

  The mount location for the remote mount x.

`base_config_remote_mntx_hostname`

  The name of the remote system that has the file system to be mounted for the remote mount x.

`base_config_remote_mntx_hostaddress`

  The IP address of the host that has the file system to be mounted for the remote mount x.

`base_config_remote_mntx_path`

  The path on the remote system to be mounted for the remote mount x.

`base_config_remote_mntx_options`

  The mount options for the remote mount x.

- Previous: Chapter 9 Maintaining the Change Manager Topology (Tasks)
- Next: Minimum Set of Parameters to Deploy Software

- © 2010, Oracle Corporation and/or its affiliates